GNU bug report logs - #22525
11.89.1; Preview appears at the wrong position in the document

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: post@HIDDEN; dated Mon, 1 Feb 2016 19:57:01 UTC; Maintainer for auctex is bug-auctex@HIDDEN.

Message received at 22525 <at> debbugs.gnu.org:


Received: (at 22525) by debbugs.gnu.org; 10 Feb 2016 02:24:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 09 21:24:14 2016
Received: from localhost ([127.0.0.1]:34106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aTKRx-0007qj-Si
	for submit <at> debbugs.gnu.org; Tue, 09 Feb 2016 21:24:14 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:35791)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eggert@HIDDEN>) id 1aTKRw-0007qH-D0
 for 22525 <at> debbugs.gnu.org; Tue, 09 Feb 2016 21:24:12 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id F06DB1601A6
 for <22525 <at> debbugs.gnu.org>; Tue,  9 Feb 2016 18:24:06 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id zr7eVNCFi24L for <22525 <at> debbugs.gnu.org>;
 Tue,  9 Feb 2016 18:24:06 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 555F1160D25
 for <22525 <at> debbugs.gnu.org>; Tue,  9 Feb 2016 18:24:06 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id byIe7wccjj9x for <22525 <at> debbugs.gnu.org>;
 Tue,  9 Feb 2016 18:24:06 -0800 (PST)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 3D0D71601A6
 for <22525 <at> debbugs.gnu.org>; Tue,  9 Feb 2016 18:24:06 -0800 (PST)
Subject: Re: 25.1.50; error: #error "alignas not defined"
To: 22525 <at> debbugs.gnu.org
References: <56BA9D8E.2010406@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <56BA9F46.1020708@HIDDEN>
Date: Tue, 9 Feb 2016 18:24:06 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.0
MIME-Version: 1.0
In-Reply-To: <56BA9D8E.2010406@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 22525
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Please ignore my previous message; I sent it to the wrong place. Sorry. 
I reopened this bug.




Information forwarded to bug-auctex@HIDDEN:
bug#22525; Package auctex. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 22525-done <at> debbugs.gnu.org:


Received: (at 22525-done) by debbugs.gnu.org; 10 Feb 2016 02:16:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 09 21:16:56 2016
Received: from localhost ([127.0.0.1]:34087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aTKKt-0007cj-Nj
	for submit <at> debbugs.gnu.org; Tue, 09 Feb 2016 21:16:55 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:35505)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eggert@HIDDEN>) id 1aTKKr-0007cR-ME
 for 22525-done <at> debbugs.gnu.org; Tue, 09 Feb 2016 21:16:54 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 6E3DD1601A6
 for <22525-done <at> debbugs.gnu.org>; Tue,  9 Feb 2016 18:16:47 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 9Hzbep__45z9 for <22525-done <at> debbugs.gnu.org>;
 Tue,  9 Feb 2016 18:16:46 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id C376A160D25
 for <22525-done <at> debbugs.gnu.org>; Tue,  9 Feb 2016 18:16:46 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id OvSzF6YBV3zP for <22525-done <at> debbugs.gnu.org>;
 Tue,  9 Feb 2016 18:16:46 -0800 (PST)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id ADA381601A6
 for <22525-done <at> debbugs.gnu.org>; Tue,  9 Feb 2016 18:16:46 -0800 (PST)
To: 22525-done <at> debbugs.gnu.org
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: 25.1.50; error: #error "alignas not defined"
Organization: UCLA Computer Science Department
Message-ID: <56BA9D8E.2010406@HIDDEN>
Date: Tue, 9 Feb 2016 18:16:46 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.5.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 22525-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Should be fixed now, in commit f2e9d1b3847d43206e8b0d05e5b64335d2c0b36f. 
Boldly marking this bug as done; we can reopen it if I'm wrong.




Notification sent to post@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Paul Eggert <eggert@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Feb 2016 19:56:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 01 14:56:18 2016
Received: from localhost ([127.0.0.1]:55300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aQKaA-0000Ld-Av
	for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 14:56:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52830)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <post+laptop@HIDDEN>) id 1aQJHp-00029O-KD
 for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 13:33:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <post+laptop@HIDDEN>) id 1aQJHj-0001sV-Ax
 for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 13:33:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54137)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <post+laptop@HIDDEN>) id 1aQJHj-0001sM-8Q
 for submit <at> debbugs.gnu.org; Mon, 01 Feb 2016 13:33:11 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43790)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <post+laptop@HIDDEN>) id 1aQJHi-0000w2-3K
 for bug-auctex@HIDDEN; Mon, 01 Feb 2016 13:33:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <post+laptop@HIDDEN>) id 1aQJHd-0001rj-16
 for bug-auctex@HIDDEN; Mon, 01 Feb 2016 13:33:10 -0500
Received: from zwei.ralfj.de ([85.214.70.9]:37703)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <post+laptop@HIDDEN>) id 1aQJHc-0001rO-NS
 for bug-auctex@HIDDEN; Mon, 01 Feb 2016 13:33:04 -0500
Received: from r-schnelltop.local (p54A59C76.dip0.t-ipconnect.de
 [84.165.156.118])
 by mx.ralfj.de (Postfix) with ESMTPS id 07EEC17D00DA
 for <bug-auctex@HIDDEN>; Mon,  1 Feb 2016 19:32:58 +0100 (CET)
Received: by r-schnelltop (Postfix, from userid 1000)
 id B6FEE1605C3; Mon,  1 Feb 2016 19:32:56 +0100 (CET)
From: post@HIDDEN
To: bug-auctex@HIDDEN
Subject: 11.89.1; Preview appears at the wrong position in the document
Date: Mon, 01 Feb 2016 19:32:56 +0100
Message-ID: <87k2momgbr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 01 Feb 2016 14:56:16 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


With a document like the following, that contains a custom enumeration,
the preview generated by preview-latex for the math that is within the
[...] of the items, appears at the wrong position: After hitting C-c C-p
C-b, the document looks as follows

  \pcase[$\langtext{inc}$] h<begin embedded image>inc<end embedded
  image>ello

whereas of course I would expect

  \pcase[<begin embedded image>inc<end embedded image>] hello

Kind regards,
Ralf

\documentclass[english]{article}

\RequirePackage{enumitem}
\newlist{pcases}{enumerate}{2} % this is the max. nesting level
\setlist[pcases]{
  label=\textbf{Case~\arabic*:}\protect\thiscase.~,
  ref=\arabic*,
  align=left,
  leftmargin=1.5em,
  itemindent=-1em,
  topsep=0.33em,
  labelsep=0pt,
  labelwidth=0pt,
  parsep=0pt
}
\newcommand{\pcase}[1][]{%
  \if\relax\detokenize{#1}\relax
    \def\thiscase{}%
  \else
    \def\thiscase{~#1}%
  \fi
  \item
}
\let\langtext\textsf

\begin{document}
    \begin{pcases}
    \pcase[$\langtext{inc}$] hello
    \pcase[$\langtext{get}$] world
  \end{pcases}

\end{document}

Emacs  : GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.6)
 of 2016-01-22 on binet, modified by Debian
Package: 11.89.1

current state:
==============
(setq
 AUCTeX-date "2016-01-31"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex" "/home/r/.emacs.d/elpa/auctex-11.89.1/style" "/home/r/.emacs.d/auctex/auto"
                  "/home/r/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %(extraopts) %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX
                     nil (plain-tex-mode ams-tex-mode texinfo-mode) :help "Run plain TeX")
                    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
                    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with Info output")
                    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with HTML output")
                    ("AmSTeX" "amstex %(PDFout) %(extraopts) %`%S%(mode)%' %t" TeX-run-TeX nil (ams-tex-mode)
                     :help "Run AMSTeX")
                    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil
                     (context-mode) :help "Run ConTeXt once")
                    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
                     "Run ConTeXt until completion")
                    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
                    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
                    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
                    ("Print" "%p" TeX-run-command t t :help "Print the file")
                    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible
                     TeX-queue-command)
                    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help "Generate PostScript file")
                    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help "Convert DVI file to PostScript")
                    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help "Convert PostScript file to PDF")
                    ("Index" "makeindex %s" TeX-run-index nil t :help "Run makeindex to create index file")
                    ("Xindy" "texindy %s" TeX-run-command nil t :help "Run xindy to create index file")
                    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
                     "Check LaTeX file for correctness")
                    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
                     "Check LaTeX file for common mistakes")
                    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help "Spell-check the document")
                    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
                    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
                     "Delete generated intermediate and output files")
                    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )




Acknowledgement sent to post@HIDDEN:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#22525; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Feb 2016 02:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.